Last Comment Bug 594618 - Malformed font leads to crash in Apple's libTrueTypeScaler [@fnt_DeltaEngine]
: Malformed font leads to crash in Apple's libTrueTypeScaler [@fnt_DeltaEngine]
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
:
Mentors:
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
 
Reported: 2010-09-08 17:21 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+
.13-fixed
.16-fixed


Attachments
testcase (98.79 KB, application/zip)
2010-09-08 17:21 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (41.17 KB, text/plain)
2010-09-08 17:21 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-08 17:21:02 PDT
Created attachment 473303 [details]
testcase

Number of replaced values: 4
Offset:  25155/0x006243  Value: ['40', '00']
Offset:  82771/0x014353  Value: ['7f', 'ff', 'ff', 'ff']
Offset: 132717/0x02066d  Value: ['ff', 'ff', 'ff', 'ff']
Offset: 135462/0x021126  Value: ['ff', 'c4', '40', '0f']

Execute the provided html file.
Comment 1 Christoph Diehl [:posidron] 2010-09-08 17:21:33 PDT
Created attachment 473305 [details]
callstack
Comment 2 John Daggett (:jtd) 2010-09-28 23:27:04 PDT
Fixed in 10.6.5 10H542 (seed build)
Comment 3 Jonathan Kew (:jfkthame) 2010-09-29 05:29:26 PDT
This will be fixed by the OTS sanitizer (bug 527276).

Note You need to log in before you can comment on or make changes to this bug.